machiflex2/api/urls.py
from django.urls import path, include
from rest_framework import routers
from . import views

from rest_framework_simplejwt.views import (
    TokenRefreshView,
)


app_name ="api"

router = routers.DefaultRouter()
router.register(r"jsonTecnicos", views.Tecnicojson)
router.register(r"jsonUsuarios", views.Usuariosjson)
router.register(r"jsonTmaquina", views.Tmaquinajson)
router.register(r"jsonCambio", views.Cambiosjson)
router.register(r"jsonMarca", views.Marcajson)
router.register(r"jsonModelo", views.Modelojson)
router.register(r"jsonMaquina", views.Maquinajson)
router.register(r"jsonCita", views.Citajson)
router.register(r"jsonServicio", views.Serviciojson)
router.register(r"jsonServCambio", views.ServCambiojson)

urlpatterns = [
    path('cruds/', include(router.urls)),


    path('token/', views.MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('register/', views.RegisterView.as_view(), name='auth_register'),
    path('test/', views.testEndPoint, name='test'),
    path('', views.getRoutes)

]

machiflex2/home/urls.py
from django.urls import path
from home import views


app_name ="home"
urlpatterns = [
    ##L O B B Y
    path('', views.Index.as_view(), name="index"),
    path('Nosotros/', views.Nosotros.as_view(), name="Nosotros"),
    path('signup/', views.SignUp.as_view(), name="signup"),
    path('logout/', views.LogOut.as_view(), name="logout"),
    ## U S E R
    path('detail/usuarios/<int:pk>/', views.List.as_view(), name="lista"),
    path('update/usuarios/<int:pk>/', views.Update.as_view(), name= "update"),
    ## M A C H I N E
    path('maquinas/', views.Lmaquinas.as_view(), name="maquinas"),
    path('detail/maquinas/<str:pk>/', views.DetailMaquina.as_view(), name= "detailmaquina"),
    path('create/maquinas/',views.CreateMaquina.as_view(), name="createmaquina"),
    path('update/maquinas/<str:pk>/', views.UpdateMaquinas.as_view(), name= "Updatemaquinas"),
    path('delete/maquina/<str:pk>/', views.DeleteMaquinas.as_view(), name= "deletemaquinas"),
    ## T E C H N I C I A N S
    path('Tecnicos/', views.ListaTecnicos.as_view(), name="ListaTecnicos"),
    path('detail/Tecnicos/<int:pk>/', views.DetailTecnicos.as_view(), name= "detailtecnicos"),
    path('create/Tecnicos/',views.CreateTecnicos.as_view(), name="createtecnicos"),
    path('update/Tecnicos/<int:pk>/', views.UpdateTecnicos.as_view(), name= "Updatetecnicos"),
    path('delete/Tecnicos/<int:pk>/', views.DeleteTecnicos.as_view(), name= "deletetecnicos"),
    ## U S 
    path('nosotros/historial/',views.Historial.as_view(), name="historial"),
    ## S E R V I C E
    path('list2/Servicios/',views.List2.as_view(), name="list2"),
    path('detail/Servicios/<int:pk>/', views.DetailServicio.as_view(), name= "detail2"),
    path('create/Servicios/',views.CreateServicio.as_view(), name="create2"),
    path('update/Servicios/<int:pk>/', views.UpdateServicios.as_view(), name= "Update2"),
    path('delete/Servicios/<int:pk>/', views.DeleteServicios.as_view(), name= "delete2"),
    ## C H A N G E  S E R V I C E
    path('nosotros/ServCamb', views.ListServCamb.as_view(), name="listaservcamb"),
    path('detail/ServCamb/<int:pk>/', views.DetailServCamb.as_view(), name= "DetailServCamb"),
    path('create/ServCamb/',views.CreateServCamb.as_view(), name="createServCamb"),
    path('update/ServCamb/<int:pk>/', views.UpdateServCamb.as_view(), name= "UpdateServCamb"),
    path('delete/ServCamb/<int:pk>/', views.DeleteServCamb.as_view(), name= "deleteServCamb"),
    ## C H A N G E S
    path('nosotros/Cambios', views.ListaCambios.as_view(), name="listacambios"),
    path('detail/Cambios/<str:pk>/', views.DetailCambios.as_view(), name= "DetailCambios"),
    path('create/Cambios/',views.CreateCambios.as_view(), name="createCambios"),
    path('update/Cambios/<str:pk>/', views.UpdateCambios.as_view(), name= "UpdateCambios"),
    path('delete/Cambios/<str:pk>/', views.DeleteCambios.as_view(), name= "deleteCambios"),
    ## A P P O I N T M E N T S
    path('nosotros/Citas', views.ListaCitas.as_view(), name="listacitas"),
     path('detail/Citas/<int:pk>/', views.DetailCita.as_view(), name= "DetailCita"),
     path('delete/Citas/<int:pk>/', views.DeleteCita.as_view(), name= "deleteCitas"),
     ## U S E R S
     path('nosotros/users', views.ListaUsers.as_view(), name="listausers"),
     path('detail/users/<int:pk>/', views.DetailUsers.as_view(), name= "DetailUsers"),
     path('update/users/<int:pk>/', views.UpdateUsers.as_view(), name= "UpdateUsers"),
     path('delete/users/<int:pk>/', views.DeleteUsers.as_view(), name= "deleteUsers"),
    ## C O N F I R M
    path('Confirmar/',views.CitaView.as_view(), name="Confirmar"),
    ## U B I C A T I O N
    path('nosotros/Ubicacion/', views.UbicacionView.as_view(), name="Ubicacion"),
]

machiflex2/principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
    path('api/', include("api.urls")),
    path('api-auth/', include('rest_framework.urls')),
]

machiflex2/home/views.py
from django.shortcuts import render

# Create your views here.

from django.contrib.auth.mixins import LoginRequiredMixin
from django.shortcuts import render, redirect
from django.views import generic
from django.contrib.auth import authenticate, login, logout
from django.urls import reverse_lazy, reverse
from .forms import *
from .models import usuarios, Cita, Servicio

from django.http import HttpResponse
from datetime import datetime


## I N D E X  A N D   L O G I N


class Index(generic.View):
    template_name = "home/index.html"
    context = {}
    form = LoginForm

    def get(self, request, *args, **kwargs):
        self.context = {
            "form": self.form
        }
        return render(request, self.template_name, self.context)

    def post(self, request):
        username = request.POST["Username"]
        password = request.POST["Contraseña"]
        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            return redirect("/Nosotros/")
        else:
            return redirect("/")
        

## S I G N U P


class SignUp(generic.CreateView):
    template_name = "home/signup.html"
    form_class = SignUpForm
    success_url = reverse_lazy("home:Nosotros")

    def form_valid(self, form):
        response = super().form_valid(form)
        user = form.save()
        if user is not None:

            username = form.cleaned_data.get("username")
            password1 = form.cleaned_data.get("password1")
            use = authenticate(self.request, username=username, password=password1)

            if use is not None:
                login(self.request, use)
                guardar = usuarios(user=user, Nombre = form.cleaned_data['Nombre'], NumTel = form.cleaned_data['NumTel'], ContNomPila = form.cleaned_data['ContNomPila'], ContPrimApell = form.cleaned_data['ContPrimApell'], ContSegApell = form.cleaned_data['ContSegApell'])
                guardar.save()

        return response
    


## N O S O T R O S



class Nosotros(LoginRequiredMixin, generic.View):
    template_name = "home/SobreNosotros.html"
    context = {}
    login_url = '/'

    def get(self, request, *args, **kwargs):
        self.context = {}
        return render(request, self.template_name, self.context)
    

## L O G O U T


class LogOut(LoginRequiredMixin, generic.View):
    login_url = '/'
    
    def get(self, request):
        logout(request)
        return redirect("/")
    
## D E T A I L

class List(generic.View):
    template_name = "core/list.html"
    context = {}
    model= usuarios
    def get(self, request, pk):
        self.context = {
            "usuarios" : User.objects.get(id=pk)
        }
        return render(request, self.template_name, self.context)
    

## U P D A T E

class Update(generic.UpdateView):
    template_name = "core/update.html"
    model = usuarios
    form_class = UpdateClienteForm
    success_url = reverse_lazy("home:lista")

    def get_success_url(self):
        pk = self.kwargs["pk"]
        return reverse("home:lista", kwargs={"pk":pk})


##  L I S T A   M A Q U I N A S

class Lmaquinas(generic.View):
    template_name = "home/lmaquinas.html"

    def get(self, request, *args, **kwargs):
        queryset = Maquina.objects.all()
        self.context = {
            "Maquina": queryset
        }
        return render(request, self.template_name,self.context)
    

class DetailMaquina(generic.DetailView):
    template_name = "core/detailMaquina.html"
    model = Maquina

    
class CreateMaquina(generic.CreateView):
    template_name = "core/createMaquina.html"
    model = Maquina
    form_class = MaquinaForm
    success_url = reverse_lazy("home:maquinas")

class UpdateMaquinas(generic.UpdateView):
    template_name = "core/Updatemaquinas.html"
    model = Maquina
    form_class = UpdateMaquinaForm
    success_url = reverse_lazy("home:maquinas")

class DeleteMaquinas(generic.DeleteView):
    template_name = "core/deletemaquinas.html"
    model = Maquina
    success_url = reverse_lazy("home:maquinas")
    
## H I S T O R I A L

class Historial(generic.View):
    template_name = "core/Historial.html"
    context = {}

    def get(self, request, *args, **kwargs):
        usuario = usuarios.objects.get(user=request.user)
        queryset = Cita.objects.filter(Usuario=usuario)

        self.context = {
            "Cita": queryset
        }
        return render(request, self.template_name, self.context)

##  L I S T A  S E R V I C I O S

class List2(generic.View):
    template_name = "core/list2.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Servicio.objects.all()
        self.context = {
            "Servicio": queryset
        }
        return render(request, self.template_name,self.context)
    
class DetailServicio(generic.DetailView):
    template_name = "core/detail2.html"
    model = Servicio

class CreateServicio(generic.CreateView):
    template_name = "core/create2.html"
    model = Servicio
    form_class = ServiciosForm
    success_url = reverse_lazy("home:list2")

class UpdateServicios(generic.UpdateView):
    template_name = "core/Update2.html"
    model = Servicio
    form_class = UpdateServiciosForm
    success_url = reverse_lazy("home:list2")

class DeleteServicios(generic.DeleteView):
    template_name = "core/delete2.html"
    model = Servicio
    success_url = reverse_lazy("home:list2")



##  L I S T A  S E R V C A M B



class ListServCamb(generic.View):
    template_name = "core/Listservcamb.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = ServCambio.objects.all()
        self.context = {
            "ServCambio": queryset
        }
        return render(request, self.template_name,self.context)
    
class DetailServCamb(generic.DetailView):
    template_name = "core/detailServCamb.html"
    model = ServCambio

class CreateServCamb(generic.CreateView):
    template_name = "core/createServCamb.html"
    model = ServCambio
    form_class = ServCambForm
    success_url = reverse_lazy("home:listaservcamb")

class UpdateServCamb(generic.UpdateView):
    template_name = "core/UpdateServCamb.html"
    model = ServCambio
    form_class = UpdateServCambForm
    success_url = reverse_lazy("home:listaservcamb")

class DeleteServCamb(generic.DeleteView):
    template_name = "core/deleteServCamb.html"
    model = ServCambio
    success_url = reverse_lazy("home:listaservcamb")



##  C A M B I O S

class ListaCambios(generic.View):
    template_name = "core/ListaCambios.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Cambio.objects.all()
        self.context = {
            "Cambio": queryset
        }
        return render(request, self.template_name,self.context)
    
class DetailCambios(generic.DetailView):
    template_name = "core/detailCambios.html"
    model = Cambio

class CreateCambios(generic.CreateView):
    template_name = "core/createCambios.html"
    model = Cambio
    form_class = CambiosForm
    success_url = reverse_lazy("home:listacambios")

class UpdateCambios(generic.UpdateView):
    template_name = "core/UpdateCambios.html"
    model = Cambio
    form_class = UpdateCambiosForm
    success_url = reverse_lazy("home:listacambios")

class DeleteCambios(generic.DeleteView):
    template_name = "core/deleteCambios.html"
    model = Cambio
    success_url = reverse_lazy("home:listacambios")



###  T É C N I C O S


class ListaTecnicos(generic.View):
    template_name = "core/ListaTecnicos.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Tecnico.objects.all()
        self.context = {
            "Tecnico": queryset
        }
        return render(request, self.template_name,self.context)

class DetailTecnicos(generic.DetailView):
    template_name = "core/detailTecnicos.html"
    model = Tecnico


class CreateTecnicos(generic.CreateView):
    template_name = "core/createTecnicos.html"
    model = Tecnico
    form_class = TecnicosForm
    success_url = reverse_lazy("home:ListaTecnicos")


class UpdateTecnicos(generic.UpdateView):
    template_name = "core/UpdateTecnicos.html"
    model = Tecnico
    form_class = UpdateTecnicosForm
    success_url = reverse_lazy("home:ListaTecnicos")


class DeleteTecnicos(generic.DeleteView):
    template_name = "core/deleteTecnicos.html"
    model = Tecnico
    success_url = reverse_lazy("home:ListaTecnicos")


## C I T A S   C R U D  1 / 2


class ListaCitas(generic.View):
    template_name = "core/ListaCitas.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Cita.objects.all()
        self.context = {
            "Cita": queryset
        }
        return render(request, self.template_name,self.context)


class DetailCita(generic.DetailView):
    template_name = "core/detailCita.html"
    model = Cita


class DeleteCita(generic.DeleteView):
    template_name = "core/deleteCita.html"
    model = Cita
    success_url = reverse_lazy("home:listacitas")


## L I S T A   D E    U S U A R I O S  3/4

class ListaUsers(generic.View):
    template_name = "core/ListaUsers.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = usuarios.objects.all()
        self.context = {
            "usuarios": queryset
        }
        return render(request, self.template_name,self.context)


class DetailUsers(generic.DetailView):
    template_name = "core/detailUsers.html"
    model = usuarios
    

class UpdateUsers(generic.UpdateView):
    template_name = "core/UpdateUsers.html"
    model = usuarios
    form_class = UpdateUsersForm
    success_url = reverse_lazy("home:listausers")

class DeleteUsers(generic.DeleteView):
    template_name = "core/deleteUsers.html"
    model = usuarios
    success_url = reverse_lazy("home:listausers")

##  C I T A 


class CitaView(generic.View):
    template_name = "home/confirmar.html"
    model = Cita

machiflex2/templates/home/SobreNosotros.html
{% extends "base/base.html" %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Nosotros {% endblock title %}</title>
    <style>
        .card {
            background-color: rgba(255, 255, 255, 0.7);
            border-radius: 15px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .card p {
            margin-bottom: 10px;
            font-weight: bold; /* Aplica el estilo de fuente negrita */
        }

        #card-container {
            margin-top: 50px; /* Cambia este valor según lo necesites */
        }
    </style>
</head>
<body>
    {% block content %}
    <br>
    <div id="card-container" style="text-align: center; margin: 20px;">
        <div class="card">
            <h2>Bienvenido {{ request.user }} a MachineryFix</h2>
            <h4>Servicio Técnico</h4>
            <br>
            <br>
            <center>
                <img src="{% static 'tec2.png' %}" alt="Tec2" style="max-width: 600px; max-height: 150px;">
            </center>
            <br>
            <p>
             <br>
            <br>
            <br>
                En MachineryFix, nos dedicamos a brindar soluciones de gestión de citas para la industria de maquinaria fija.
                Nuestra misión es simplificar y optimizar la administración de servicios y citas para garantizar la
                eficiencia y productividad en su empresa.
            </p>
            <p>
                Contamos con un equipo de profesionales dedicados a ofrecer la mejor experiencia en el manejo de citas y
                servicios para su maquinaria industrial.
            </p>
        </div>
    </div>

    <div style="text-align: center; margin: 20px;">
        <h3>Explora nuestras opciones:</h3>
        <br>
        <br>
        <ul style="list-style-type: none; padding: 0;">
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:maquinas' %}">Ver Lista de Máquinas</a>
            </li>
            <br>
            <br>
            {% if request.user.is_staff %}
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:list2' %}">Servicios</a>
            </li>
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:listaservcamb' %}">Servicios Cambios</a>
            </li>
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:listacambios' %}">Cambios</a>
            </li>
            <br>
                <br>
                    <li style="display: inline; margin-right: 20px;">
                        <a href="{% url 'home:ListaTecnicos' %}">Técnicos</a>
                    </li>
                    <li style="display: inline; margin-right: 20px;">
                        <a href="{% url 'home:listacitas' %}">Citas</a>
                    </li>
                    <li style="display: inline; margin-right: 20px;">
                        <a href="{% url 'home:listausers' %}">Usuarios</a>
                    </li>
            {% else %}
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:historial' %}">Historial</a>
            </li>
            <br>
            <br>
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'home:Ubicacion' %}">Encuéntranos aquí</a>
            </li>
            {% endif %}
        </ul>
    </div>
    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
      
          </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>
    {% endblock content%}
</body>
</html>

machiflex2/templates/home/index.html
{% extends "base/base.html" %}
{% load static %}

{% block title %} Citas {% endblock title %}

{% block content %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Citas</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-GLhlTQ8iKAYtrfyt0BxHsWtEAy/SVaVR25QxQJt6fD5IIVKA+IbdKkGPVP" crossorigin="anonymous">
    
</head>
<body>
    {% if request.user.is_authenticated %}
    <style>
        /* Establecer la imagen de fondo */
        body {
            background-image: url("{% static 'chismosos.webp'%}");
            background-size: cover; /* Ajusta la imagen para que cubra todo el fondo */
            background-position: center; /* Centra la imagen */
        }

        /* Estilos adicionales según sea necesario */
        .card {
            background-color: rgba(255, 255, 255, 0.7);
            border-radius: 15px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .card p {
            margin-bottom: 10px;
            font-weight: bold; /* Aplica el estilo de fuente negrita */
        }

        /* Ajustar el card */
        #card-container {
            margin-top: -110px; /* Cambia este valor según lo necesites */
            margin-left: 100%; /* Ajusta el margen izquierdo para centrar el card */
            margin-right: 50%; /* Ajusta el margen derecho para centrar el card */
        }
    </style>
    <br>
    <br>
    <br>
    <center>
    <div class="container mt-4">
        <div class="card mx-auto" id="card-container" style="max-width: 400px;">
            <div class="card-body">
                <div class="text-center">
                    <h2>Agendar Cita</h2>
                </div>
                <form action="{% url 'home:Confirmar' %}" method="post" class="form" onsubmit="return validarFecha()">
                    {% csrf_token %}
                    <label for="fecha">Fecha:</label><br>
                    <input type="date" name="Fecha" id="fecha" required>
                    <br>
                    <br>
                    <h5>Seleccione hora</h5>
                    <label for="hora"></label>
                    <select id="hora" name="Hora" class="form-control">
                        <option value="08:00"> 8:00 </option>
                        <option value="09:00"> 9:00 </option>
                        <option value="10:00"> 10:00 </option>
                        <option value="11:00"> 11:00 </option>
                        <option value="12:00"> 12:00 </option>
                        <option value="13:00"> 13:00 </option>
                        <option value="14:00"> 14:00 </option>
                        <option value="15:00"> 15:00 </option>
                        <option value="16:00"> 16:00 </option>
                        <option value="17:00"> 17:00 </option>
                        <option value="18:00"> 18:00 </option>
                        <option value="19:00"> 19:00 </option>
                    </select>
                    <br>
                    <div class="text-center mt-3">
                        <button type="submit" class="btn btn-outline-primary btn-block">Agendar cita</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    {% else %}
    <img src="{% static 'fondo5.avif' %}" alt="FONDO5" style="width: 100%; height: 100%; position: fixed; top: 0; left: 0; z-index: -1;">
    <div class="container mt-5">
        <form action="" method="post" class="login-form">
            {% csrf_token %}
            {{ form }}
            <br>
            <center>
            <button type="submit" class="btn btn-primary">Iniciar sesión</button>
            <br>
            </form>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <p class="mt-3">
                Si no tienes una cuenta, regístrate <a href="{% url 'home:signup' %}" class="btn btn-link">aquí</a>
            </p>
            <center>
    </div>
    {% endif %}
    <footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>
    <script>
        var today = new Date().toISOString().split('T')[0];
        var threeMonthsLater = new Date();
        threeMonthsLater.setMonth(threeMonthsLater.getMonth() + 3);
        threeMonthsLater = threeMonthsLater.toISOString().split('T')[0];
        document.getElementById('fecha').setAttribute('min', today);
        document.getElementById('fecha').setAttribute('max', threeMonthsLater);
    </script>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJgZl3O5PmEkxZKPMl0dQxMyBXLa9sd06ncYKApvkkzxZ3fsB1b33" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8sh+WyJqXfX7DEqXt1Y2bd+QZz6p0iSXYJ5n9B" crossorigin="anonymous"></script>
</body>
</html>
{% endblock content %}

machiflex2/templates/home/lmaquinas.html
{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> {% block title %} Lista Maquinas {% endblock title %} </title>
</head>
<body>
    {% block content %}
    <div class="container mt-4"> 
        <div style="text-align: center; margin: 15px;">
            <h3>Lista de Maquinas</h3>
            <hr>
            {% if request.user.is_staff %}
            <a href="{% url 'home:createmaquina' %}" class="btn btn-outline-primary form-control">Añadir nueva Máquina!</a>
            {% endif %}
        </div>
        <table class="table table-striped table-hover">
            <thead>
                <th>Código</th>
                <th>Descripción</th>
                <th>Tipo de Maquina</th>
                <th>Marca</th>
                <th>Modelo</th>
                <th></th>
            </thead>
            <tbody>
                {% for Maquina in Maquina %}
                    <tr>
                        <td>{{ Maquina.Codigo }}</td>
                        <td>{{ Maquina.Descripcion }}</td>
                        <td>{{ Maquina.Tipo_Maquina }}</td>
                        <td>{{ Maquina.Marca }}</td>
                        <td>{{ Maquina.Modelo }}</td>
                        {% if request.user.is_staff %}
                        <td><a href="{% url 'home:detailmaquina' Maquina.Codigo %}" class="btn btn-outline-info"> Detalles </a></td>
                        <td><a href="{% url 'home:Updatemaquinas' Maquina.Codigo %}" class="btn btn-outline-warning"> Actualizar</a></td>
                        <td><a href="{% url 'home:deletemaquinas' Maquina.Codigo %}" class="btn btn-outline-danger">Eliminar</a></td>
                        {% endif %}
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div> 

    {% endblock content %}
    
    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>
    
</body>
</html>